## kf6-kauth 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KAuth VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMDeprecationSettings)
include(ECMPoQmTools)
include(ECMAddQch)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 6.6.0)

option(KAUTH_BUILD_CODEGENERATOR_ONLY "Only build the kauth-policy-gen code generator." OFF)
if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
elseif(NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kauth_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kauth_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KAUTH
                        VERSION_HEADER "${kauth_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6AuthConfigVersion.cmake"
                        SOVERSION 6)

find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)

set(KAUTH_HELPER_INSTALL_DIR "${KDE_INSTALL_LIBEXECDIR_KF}/kauth")

if(IS_ABSOLUTE ${KAUTH_HELPER_INSTALL_DIR})
    set(KAUTH_HELPER_INSTALL_ABSOLUTE_DIR ${KAUTH_HELPER_INSTALL_DIR})
else()
    set(KAUTH_HELPER_INSTALL_ABSOLUTE_DIR "${CMAKE_INSTALL_PREFIX}/${KAUTH_HELPER_INSTALL_DIR}")
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)

if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
    endif()
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Auth")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Auth_QCH
        FILE KF6AuthQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6AuthQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6AuthConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6AuthConfig.cmake"
    PATH_VARS KDE_INSTALL_DATADIR_KF
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6AuthConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6AuthConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/cmake/KF6AuthMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    install(EXPORT KF6AuthTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6AuthTargets.cmake NAMESPACE KF6:: COMPONENT Devel)
endif()

if(NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
    install(EXPORT KF6AuthToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            FILE KF6AuthToolsTargets.cmake NAMESPACE KF6:: COMPONENT Devel)
endif()

install(FILES ${kauth_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KAuth COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kauth 6.3.0

=== debian/changelog ===
kf6-kauth (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:57:18 +0200

kf6-kauth (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Create new packages.
  * Update d/copyright.

  [ Aurélien COUDERC ]
  * Add/update Jonathan Esk-Riddell in upstream signing keys.

 -- Patrick Franz <deltaone@debian.org>  Thu, 25 Apr 2024 21:03:12 +0200

kauth (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:21 +0100

kauth (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:33 +0200

kauth (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:53 +0100

kauth (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:25 +0100

kauth (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:04 +0100

kauth (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:26 +0100

kauth (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

kauth (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:40 +0200

kauth (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:32 +0200

kauth (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:00 +0200

kauth (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kauth (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kauth (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update lintian-overrides for libkf5auth-data.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

kauth (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kauth (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:50:03 +0900

kauth (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kauth (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:39 +0900

kauth (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:33 +0900

kauth (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:13:52 +0900

kauth (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:04:39 +0900

kauth (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.



=== debian/control ===
Source: kf6-kauth
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libpolkit-qt6-1-dev (>= 0.200.0-2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kauth
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth.git
Rules-Requires-Root: no

Package: libkf6auth-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 6.
 .
 This package contains data files.

Package: libkf6auth-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6auth-dev-bin (= ${binary:Version}),
         libkf6authcore6 (= ${binary:Version}),
         libkf6coreaddons-dev (>= 6.3.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6auth-doc (= ${source:Version}),
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 6.
 .
 This package contains development files for kauth.

Package: libkf6auth-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 6.
 .
 This package contains helper binaries for development.
 You never should depend on this directly, cause the *.cmake files are
 not included in that package (as they are arch-dependant).

Package: libkf6auth-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Abstraction to system policy and authentication features (documentation)
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6authcore6
Architecture: any
Multi-Arch: same
Depends: libkf6auth-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 6.

## kf6-kauth 6.6.0

=== debian/changelog ===
kf6-kauth (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:28 +0200

kf6-kauth (6.5.0-3) unstable; urgency=medium

  * Team upload.
  * Backport the upstream MR
    https://invent.kde.org/frameworks/kauth/-/merge_requests/69 to make the
    Wayland usage of KWindowSystem optional in the polkit1 backend; patch
    polkit1-backend-optional-wayland.diff.
  * Drop the unused ${shlibs:Depends} substvar in libkf6auth-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Aug 2024 07:55:20 +0200

kf6-kauth (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - add a missing path with headers
    - fix the library name
  * CI: update/simplify configuration.
  * Stop disabling the build_stamp dh addon: the little saved by that is not
    worth the extra maintenance cost.
  * Drop the unused ${shlibs:Depends} substvar for libkf6auth-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 17:23:09 +0200

kf6-kauth (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:03 +0200

kf6-kauth (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6windowsystem-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6windowsystem-dev (>= 6.6.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
@@ -26,7 +26,7 @@
 Package: libkf6auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -41,9 +41,8 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.3.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DKAUTH_HELPER_INSTALL_DIR="lib/kf6/kauth/libexec"

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kf6-kauth 6.9.0

=== debian/changelog ===
kf6-kauth (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:30 +0000

kf6-kauth (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:34:06 +0000

kf6-kauth (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:04:07 +0100

kf6-kauth (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:06 +0100

kf6-kauth (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Correct library filename for acc test: libKF6Auth.so ->
    libKF6AuthCore.so
  * Add /usr/include/KF6/KAuthCore/ headers to acc test

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kauth
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,9 +10,9 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6windowsystem-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6windowsystem-dev (>= 6.9.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
@@ -19,14 +20,14 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
 Rules-Requires-Root: no
 
 Package: libkf6auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -41,8 +42,9 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
          ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a

## kf6-kauth 6.10.0

=== debian/changelog ===
kf6-kauth (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:02 +0100

kf6-kauth (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:01:47 +0100

kf6-kauth (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: kf6-kauth
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6windowsystem-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth.git
 Rules-Requires-Root: no
 
 Package: libkf6auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -42,9 +41,8 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6coreaddons-dev (>= 6.10.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a

## kf6-kauth 6.11.0

=== debian/changelog ===
kf6-kauth (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6windowsystem-dev (>= 6.11.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
@@ -41,7 +41,7 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
          ${misc:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features

## kf6-kauth 6.12.0

=== debian/changelog ===
kf6-kauth (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:42 +0000

kf6-kauth (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:45:37 +0000

kf6-kauth (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:17:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kf6-kauth
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6windowsystem-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6windowsystem-dev (>= 6.12.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
 Rules-Requires-Root: no
 
 Package: libkf6auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -41,8 +42,9 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
          ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a

## kf6-kauth 6.13.0

=== debian/changelog ===
kf6-kauth (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: kf6-kauth
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6windowsystem-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6windowsystem-dev (>= 6.13.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth.git
 Rules-Requires-Root: no
 
 Package: libkf6auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -42,9 +41,8 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.13.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a

## kf6-kauth 6.16.0

=== debian/changelog ===
kf6-kauth (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:39:24 +0100

kf6-kauth (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:03 +0100

kf6-kauth (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kf6-kauth
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6windowsystem-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6windowsystem-dev (>= 6.16.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kauth.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kauth
 Rules-Requires-Root: no
 
 Package: libkf6auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -41,8 +42,9 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.13.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
          ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a

## kf6-kauth 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KAuth VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -20,14 +20,14 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
+include(ECMGenerateQDoc)
 
 include(ECMDeprecationSettings)
 include(ECMPoQmTools)
-include(ECMAddQch)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 option(KAUTH_BUILD_CODEGENERATOR_ONLY "Only build the kauth-policy-gen code generator." OFF)
 if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
@@ -37,9 +37,6 @@
 endif()
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(kauth_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kauth_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KAUTH
@@ -58,8 +55,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 ecm_install_po_files_as_qm(poqm)
@@ -75,16 +72,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Auth")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Auth_QCH
-        FILE KF6AuthQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6AuthQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== autotests/CMakeLists.txt ===

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::Test)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

find_package(Qt6DBus ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt6::DBus)
    message(STATUS "Qt6DBus not found, autotests will not be built.")
    return()
endif()

qt_add_dbus_adaptor(kauth_dbus_adaptor_tests_SRCS
                     ../src/backends/dbus/org.kde.kf6auth.xml
                     ../src/backends/dbus/DBusHelperProxy.h
                     KAuth::DBusHelperProxy)

include(ECMAddTests)

set(kauthdebug_SRCS)
ecm_qt_declare_logging_category(kauthdebug_tests_SRCS
    HEADER kauthdebug.h
    IDENTIFIER KAUTH
    CATEGORY_NAME kf.auth
)


set(libkauth_tests_static_SRCS
    ../src/action.cpp
    ../src/actionreply.cpp
    ../src/executejob.cpp
    ../src/AuthBackend.cpp
    # Use our "special" backends manager
    BackendsManager.cpp
    ../src/HelperProxy.cpp
    ../src/helpersupport.cpp
    TestBackend.cpp
    ../src/backends/dbus/DBusHelperProxy.cpp
    ${kauth_dbus_adaptor_tests_SRCS}
    ${kauthdebug_tests_SRCS}
)

add_library(kauth_tests_static STATIC ${libkauth_tests_static_SRCS})
# make sure all executables using this library have the define set to make sure it builds on MSVC
target_compile_definitions(kauth_tests_static
    PUBLIC KAUTHCORE_STATIC_DEFINE=1
    PUBLIC KAUTH_STATIC_DEFINE=1
)
# have to manually duplicate logic of flags set by ecm_generate_expoirt_header on the library
ecm_export_header_format_version(${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    CURRENT_VERSION ${KF_VERSION}
    HEXNUMBER_VAR kauthcore_tests_no_deprecated_before_and_at
)
target_compile_definitions(kauth_tests_static
    PUBLIC "KAUTHCORE_DISABLE_DEPRECATED_BEFORE_AND_AT=${kauthcore_tests_no_deprecated_before_and_at}"
    PUBLIC "KAUTHCORE_DEPRECATED_WARNINGS_SINCE=${kauthcore_tests_no_deprecated_before_and_at}"
)
ecm_mark_as_test(kauth_tests_static)

target_include_directories(kauth_tests_static
  PUBLIC
    $<TARGET_PROPERTY:KF6::AuthCore,INTERFACE_INCLUDE_DIRECTORIES>
    ${CMAKE_CURRENT_SOURCE_DIR}/../src
)

target_link_libraries(kauth_tests_static PUBLIC Qt6::DBus KF6::CoreAddons)

########### next target ###############

ecm_add_test(SetupActionTest.cpp
    TEST_NAME KAuthSetupActionTest
    LINK_LIBRARIES Qt6::Test kauth_tests_static
)

########### next target ###############

ecm_add_test(HelperTest.cpp TestHelper.cpp
    TEST_NAME KAuthHelperTest
    LINK_LIBRARIES Qt6::Test kauth_tests_static
)

########### next target ###############

add_executable(FdHelper FdHelper.cpp)
target_link_libraries(FdHelper PUBLIC kauth_tests_static)

ecm_add_test(FdTester.cpp
    TEST_NAME KAuthFdTest
    LINK_LIBRARIES Qt6::Test kauth_tests_static
)
target_compile_definitions(KAuthFdTest PRIVATE -DFDHELPEREXE=\"$<TARGET_FILE:FdHelper>\")

########### test kauth-policy-gen ###############
if(NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
    add_test(NAME KAuthPolicyGenTest
             COMMAND kauth-policy-gen ${CMAKE_SOURCE_DIR}/autotests/foo_actions.actions
                                      ${CMAKE_BINARY_DIR}/generated-foo.policy)
    add_test(KAuthPolicyGenTestCompare ${CMAKE_COMMAND} -E compare_files
             ${CMAKE_BINARY_DIR}/generated-foo.policy ${CMAKE_SOURCE_DIR}/autotests/foo.policy)
    set_tests_properties(KAuthPolicyGenTestCompare PROPERTIES DEPENDS KAuthPolicyGenTest)
endif()

=== examples/CMakeLists.txt ===
# We only need to build the examples, to be sure they are up-to-date.
add_executable(client client.cpp)
target_link_libraries(client KF6::AuthCore)

add_executable(helper helper.cpp)
target_link_libraries(helper KF6::AuthCore)

=== src/CMakeLists.txt ===
# This file handles all the logic for compiling KAuth's backends
include(ConfigureChecks.cmake)

# Configure a small file to tell BackendsManager what to use
configure_file(BackendsConfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/BackendsConfig.h)

set(KAUTH_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KAuth")
set(KAUTHCORE_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KAuthCore")

ecm_create_qm_loader(KAuth_QM_LOADER kauth6_qt)

set(kauthdebug_SRCS)
ecm_qt_declare_logging_category(kauthdebug_SRCS
    HEADER kauthdebug.h
    IDENTIFIER KAUTH
    CATEGORY_NAME kf.auth
    OLD_CATEGORY_NAMES kf5.kauth
    DESCRIPTION "KAuth"
    EXPORT KAUTH
)

if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    add_library(KF6AuthCore)
    add_library(KF6::AuthCore ALIAS KF6AuthCore)
    set_target_properties(KF6AuthCore PROPERTIES
        VERSION     ${KAUTH_VERSION}
        SOVERSION   ${KAUTH_SOVERSION}
        EXPORT_NAME AuthCore
    )

    target_sources(KF6AuthCore PRIVATE
        action.cpp
        actionreply.cpp
        executejob.cpp
        AuthBackend.cpp
        BackendsManager.cpp
        HelperProxy.cpp
        helpersupport.cpp
        ${kauthdebug_SRCS}
        backends/fake/FakeBackend.cpp
        backends/fakehelper/FakeHelperProxy.cpp
        ${KAuth_QM_LOADER}
    )

    ecm_generate_export_header(KF6AuthCore
        BASE_NAME KAuthCore
        GROUP_BASE_NAME KF
        VERSION ${KF_VERSION}
        USE_VERSION_HEADER
        VERSION_BASE_NAME KAuth
        DEPRECATED_BASE_VERSION 0
        DEPRECATION_VERSIONS
        EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    )
    target_link_libraries(KF6AuthCore PUBLIC Qt6::Core Qt6::Gui KF6::CoreAddons)  # for KJob

    target_include_directories(KF6AuthCore INTERFACE
        "$<INSTALL_INTERFACE:${KAUTHCORE_INSTALL_INCLUDEDIR};${KAUTH_INSTALL_INCLUDEDIR}>"
    )
    install(TARGETS KF6AuthCore EXPORT KF6AuthTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

    ecm_generate_headers(KAuthCore_CamelCase_HEADERS
        HEADER_NAMES
            Action
            ActionReply
            ExecuteJob
            HelperSupport

        PREFIX KAuth
        REQUIRED_HEADERS KAuthCore_HEADERS
    )
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kauthcore_export.h
        ${KAuthCore_HEADERS}
        DESTINATION ${KAUTHCORE_INSTALL_INCLUDEDIR}/kauth # C++ namespace
        COMPONENT Devel
    )
    install(FILES
        ${KAuthCore_CamelCase_HEADERS}
        DESTINATION ${KAUTHCORE_INSTALL_INCLUDEDIR}/KAuth # C++ namespace
        COMPONENT Devel
    )
endif()

# KAuth policy generator executable

# Compile only if fake backend has not been selected

if (NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
    # KAUTH_POLICY_GEN_SRCS has been generated from ConfigureChecks.cmake
    add_executable(kauth-policy-gen ${KAUTH_POLICY_GEN_SRCS})
    add_executable(KF6::kauth-policy-gen ALIAS kauth-policy-gen)
    if (APPLE)
        include(ECMMarkNonGuiExecutable)
        ecm_mark_nongui_executable(kauth-policy-gen)
    endif ()

    # KAUTH_POLICY_GEN_LIBRARIES has been generated from ConfigureChecks.cmake
    target_link_libraries( kauth-policy-gen PRIVATE ${KAUTH_POLICY_GEN_LIBRARIES} )

    install( TARGETS kauth-policy-gen EXPORT KF6AuthToolsTargets DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
endif ()

# KAuth backend plugin

if (NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE" AND NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    # KAUTH_BACKEND_SRCS has been set from ConfigureChecks.cmake
    # KAuth::AuthBackend is not exported
    add_library(kauth_backend_plugin MODULE ${KAUTH_BACKEND_SRCS} AuthBackend.cpp ${kauthdebug_SRCS})
    target_link_libraries(kauth_backend_plugin PRIVATE ${KAUTH_BACKEND_LIBS})
    set_target_properties(kauth_backend_plugin PROPERTIES PREFIX "")

    install(TARGETS kauth_backend_plugin
            LIBRARY DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_BACKEND_PLUGIN_DIR}"
            ARCHIVE DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_BACKEND_PLUGIN_DIR}"
            RUNTIME DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_BACKEND_PLUGIN_DIR}"
    )
endif ()

# KAuth helper plugin

if (NOT "${KAUTH_HELPER_BACKEND_NAME}" STREQUAL "FAKE" AND NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    # KAuth::HelperProxy is not exported
    add_library(kauth_helper_plugin MODULE ${KAUTH_HELPER_BACKEND_SRCS} HelperProxy.cpp ${kauthdebug_SRCS})
    target_link_libraries(kauth_helper_plugin PRIVATE ${KAUTH_HELPER_BACKEND_LIBS})
    set_target_properties(kauth_helper_plugin PROPERTIES PREFIX "")
    install(TARGETS kauth_helper_plugin
            LIBRARY DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_HELPER_PLUGIN_DIR}"
            ARCHIVE DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_HELPER_PLUGIN_DIR}"
            RUNTIME DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_HELPER_PLUGIN_DIR}"
    )
endif ()

ecm_qt_install_logging_categories(
    EXPORT KAUTH
    FILE kauth.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6AuthCore kauth.qdocconf)

=== debian/changelog ===
kf6-kauth (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:13:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6windowsystem-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6windowsystem-dev (>= 6.17.0~),
                libpolkit-qt6-1-dev (>= 0.200.0-2~),
                libxkbcommon-dev,
                pkgconf,
@@ -42,7 +42,7 @@
 Multi-Arch: same
 Depends: libkf6auth-dev-bin (= ${binary:Version}),
          libkf6authcore6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6auth-doc (= ${source:Version}),
